use strict;
use warnings;
use Module::Build;

my $builder = Module::Build->new(
    module_name         => 'POWER::Utils',
    license             => 'perl',
    dist_author         => 'Alex Efros <powerman@cpan.org>',
    requires => {
        'Test::More'            => 0,
        'Test::Exception'       => 0,
        'version'               => 0,
        'Export::Attrs'         => 0,
        'Inline::C'             => 0,
    },
    add_to_cleanup      => [ 'POWER-Utils-*' ],
);

$builder->create_build_script();
