use warnings;
use strict;
use Test::More tests => 4;
use Test::Exception;

use POWER::Utils;


my ($out);

throws_ok { RandCh() }      qr/usage: RandCh/;

throws_ok { RandCh(0) }     qr/must be positive/;

$out    = RandCh(1024);
like($out, qr/\A[A-Za-z0-9_]{1024}\z/xms);

$out    = RandCh(1, 3 .. 6);
like($out, qr/\A[3-6]\z/xms);

